> For the complete documentation index, see [llms.txt](https://peach-organization.gitbook.io/peach/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://peach-organization.gitbook.io/peach/api-reference/payments/create-payment.md).

# Create Payment

To create a payment, make a POST request to the following endpoint:

<pre><code><strong>https://api.peach-in.com/v4/payments
</strong></code></pre>

**Request**

Include your API key in the Authorization header of the request, as described in the [Authorization ](/peach/api-reference/authentication.md)section.

**Response**

A successful response to the create payment endpoint will return the payment object in the JSON format. The response will include various details about the payment, such as its ID, name, and any associated details.

<mark style="color:green;">`POST`</mark> `https://api.peach-in.com/v4/payments`

#### Request Body

| Name                                  | Type    | Description                                                                  |
| ------------------------------------- | ------- | ---------------------------------------------------------------------------- |
| sum<mark style="color:red;">\*</mark> | number  | Payment sum                                                                  |
| isSubscription                        | boolean | Specifies if this  payment is a subscription                                 |
| personalDedication                    | String  |                                                                              |
| displayName                           | String  |                                                                              |
| internalComments                      | String  |                                                                              |
| mailingApproval                       | boolean |                                                                              |
| currency                              | String  | Default: ILS                                                                 |
| billingCycles                         | number  | <p>Total amount of billing cycles</p><p>Required if isSubsription = true</p> |
| lastName                              | String  |                                                                              |
| firstName                             | String  |                                                                              |
| phone                                 | String  |                                                                              |
| email                                 | String  |                                                                              |
| tz                                    | String  |                                                                              |
| city                                  | String  |                                                                              |
| street                                | String  |                                                                              |
| streetNumber                          | String  |                                                                              |
| aptNumber                             | String  |                                                                              |
| zipCode                               | String  |                                                                              |
| campaignId                            | String  |                                                                              |
| groupId                               | String  |                                                                              |
| receiptUrl                            | String  |                                                                              |
| bank                                  | String  | Bank code                                                                    |
| bankBranch                            | String  | Bank branch                                                                  |
| bankName                              | String  | Bank name                                                                    |
| bankAccount                           | String  | Bank account number                                                          |
| chequeNumber                          | String  | Check number                                                                 |
| receiptNumber                         | String  |                                                                              |
| contactId                             | String  |                                                                              |
| customProperties                      | Object  | object with payment's custom properties as set up in the system.             |
| triggerAutomations                    | boolean | Set to `true` only if the payment should trigger automations in the system.  |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "webhook": null,
    "transactionRef": null,
    "failedReason": null,
    "endDate": 1688718065204,
    "marketingCampaignId": null,
    "status": "external",
    "donationMethod": "external",
    "donorFirstName": "John",
    "cc4dig": null,
    "paypalSubscriptionId": null,
    "managedExternally": false,
    "otherDescription": null,
    "nextBillingCycle": null,
    "transactionResult": null,
    "exchangeRate": 1,
    "documentLanguage": null,
    "donatedOn": 1688718065204,
    "authNumber": null,
    "clearingProcessor": null,
    "accountId": "SGrR",
    "donationCurrency": "ILS",
    "createdAt": 1688718066917,
    "isInstallments": false,
    "contactId": "923aa6a0-ae99-11ed-9e69-c1f37929115c",
    "donorDisplayName": "John Smith",
    "chargeDay": null,
    "completed": true,
    "paymentId": "387f7900-1c9f-11ee-99ac-298f91a124fb",
    "cancelled": false,
    "email": "example@peach.com",
    "paymentCategory": "donation",
    "donationSum": 1,
    "additionalRecurringMonths": 0,
    "transactionNumber": null,
    "tz": "204543434",
    "paypalOrderId": null,
    "donorPhoneNumber": "+12345678",
    "backend": null,
    "campaignId": "SGrR",
    "paymentType": "other",
    "incomes": null,
    "splitAcrossMonths": 1,
    "customProperties": {},
    "donorLastName": "Smith",
    "isHok": false,
    "paymentDate": 1688718065204,
    "additionalRecurringSum": 0,
    "items": [],
    "donationSumInCampaignCurrency": 1,
    "updatedAt": 1688718066917,
    "donationFirstSum": 1,
    "agentId": "-",
    "createReceipt": false,
    "agentName": "",
    "campaignName": "",
    "expectedHokEndDate": "2023-07-07T08:21:05.204Z"
}
```

{% endtab %}
{% endtabs %}
